Subject: [PATCH] arm64: KVM: fix unmapping with 48-bit VAs

From: [email-masked] (Marc Zyngier)
Date: Thu, 30 Oct 2014 09:08:55 +0000

On 30/10/14 09:00, Christoffer Dall wrote:
> On Wed, Oct 29, 2014 at 10:39:45AM +0000, Marc Zyngier wrote:
>> Hi Mark,
>>
>> On 28/10/14 19:36, Mark Rutland wrote:
>>> Hi All,
>>>
>>> I'm not at all familiar with this code, so my analysis below might be off. Does
>>> this look right or am I just masking a more fundamental issue?
>>>
>>> I've given this a go with 4KiB pages on Juno with {39,48}-bit VAs and the
>>> system seems to boot fine.
>>
>> Thanks for looking into this.
>>
> 
> yeah, sorry for missing this!
> 
> [...]
> 
>>
>> Looks good to me!
>>
>> Acked-by: Marc Zyngier <[email-masked]>
>>
>> Christoffer, if you're OK with that one, I'll queue it up for the next -rc.
>>
> Yup (for the record we're not breaking anything because 48 bit VA still
> depends on broken, right?):

Since 04f905a (arm64: Allow 48-bits VA space without ARM_SMMU), we can
select 48bit VA if the SMMU is not selected.

	M.
-- 
Jazz is not dead. It just smells funny...